Get Developer Integration Preparation
/api/v1/developer/integrations/{installationId}/preparationUse the access scope below. The generated schemas specify the exact request and responses.
Access scopeintegrations.operations.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Parameters
installationIdrequired · pathstringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }
Request examples
curl --request GET 'https://YOUR_NOVA_HOST/api/v1/developer/integrations/INSTALLATION_ID/preparation' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Responses
200 Integration preparation
application/jsonobject
operationSupportrequired- object
Nested schema
objectauthModesrequired- array
Nested schema
arraystringenum: ["oauth2","api_key","basic_auth","signed_secret"]JSON Schema
{ "type": "string", "enum": [ "oauth2", "api_key", "basic_auth", "signed_secret" ] }JSON Schema
{ "type": "array", "items": { "type": "string", "enum": [ "oauth2", "api_key", "basic_auth", "signed_secret" ] } } capabilitiesrequired- array
Nested schema
arraystringenum: ["initial_import","continuous_import","explicit_export","bidirectional_sync","health_check","reconcile","uninstall_cleanup"]JSON Schema
{ "type": "string", "enum": [ "initial_import", "continuous_import", "explicit_export", "bidirectional_sync", "health_check", "reconcile", "uninstall_cleanup" ] }JSON Schema
{ "type": "array", "items": { "type": "string", "enum": [ "initial_import", "continuous_import", "explicit_export", "bidirectional_sync", "health_check", "reconcile", "uninstall_cleanup" ] } }
JSON Schema
{ "type": "object", "properties": { "authModes": { "type": "array", "items": { "type": "string", "enum": [ "oauth2", "api_key", "basic_auth", "signed_secret" ] } }, "capabilities": { "type": "array", "items": { "type": "string", "enum": [ "initial_import", "continuous_import", "explicit_export", "bidirectional_sync", "health_check", "reconcile", "uninstall_cleanup" ] } } }, "required": [ "authModes", "capabilities" ], "additionalProperties": false } credentialConfiguredrequired- boolean
schemasrequired- array
Nested schema
arrayobjectentityTyperequired- stringenum: ["contact","organization","lead","deal","task","activity","note"]
externalFieldsrequired- arraymaxItems: 100
Nested schema
arraymaxItems: 100objectJSON Schema
{ "type": "object", "properties": { "key": { "type": "string", "minLength": 1, "maxLength": 100 }, "label": { "type": "string", "minLength": 1, "maxLength": 160 }, "valueType": { "type": "string", "enum": [ "string", "money", "reference" ] }, "required": { "type": "boolean" } }, "required": [ "key", "label", "valueType", "required" ], "additionalProperties": false }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "minLength": 1, "maxLength": 100 }, "label": { "type": "string", "minLength": 1, "maxLength": 160 }, "valueType": { "type": "string", "enum": [ "string", "money", "reference" ] }, "required": { "type": "boolean" } }, "required": [ "key", "label", "valueType", "required" ], "additionalProperties": false }, "maxItems": 100 } novaFieldsrequired- arraymaxItems: 100
Nested schema
arraymaxItems: 100objectJSON Schema
{ "type": "object", "properties": { "key": { "type": "string", "minLength": 1, "maxLength": 100 }, "label": { "type": "string", "minLength": 1, "maxLength": 160 }, "valueType": { "type": "string", "enum": [ "string", "money", "reference" ] }, "required": { "type": "boolean" } }, "required": [ "key", "label", "valueType", "required" ], "additionalProperties": false }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "minLength": 1, "maxLength": 100 }, "label": { "type": "string", "minLength": 1, "maxLength": 160 }, "valueType": { "type": "string", "enum": [ "string", "money", "reference" ] }, "required": { "type": "boolean" } }, "required": [ "key", "label", "valueType", "required" ], "additionalProperties": false }, "maxItems": 100 } defaultMappingsrequired- arraymaxItems: 100
Nested schema
arraymaxItems: 100objectJSON Schema
{ "type": "object", "properties": { "entityType": { "type": "string", "enum": [ "contact", "organization", "lead", "deal", "task", "activity", "note" ] }, "externalField": { "type": "string", "minLength": 1, "maxLength": 100 }, "novaField": { "type": "string", "minLength": 1, "maxLength": 100 }, "enabled": { "type": "boolean" }, "exportEnabled": { "type": "boolean", "default": false } }, "required": [ "entityType", "externalField", "novaField", "enabled" ], "additionalProperties": false }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "entityType": { "type": "string", "enum": [ "contact", "organization", "lead", "deal", "task", "activity", "note" ] }, "externalField": { "type": "string", "minLength": 1, "maxLength": 100 }, "novaField": { "type": "string", "minLength": 1, "maxLength": 100 }, "enabled": { "type": "boolean" }, "exportEnabled": { "type": "boolean", "default": false } }, "required": [ "entityType", "externalField", "novaField", "enabled" ], "additionalProperties": false }, "maxItems": 100 }
JSON Schema
{ "type": "object", "properties": { "entityType": { "type": "string", "enum": [ "contact", "organization", "lead", "deal", "task", "activity", "note" ] }, "externalFields": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "minLength": 1, "maxLength": 100 }, "label": { "type": "string", "minLength": 1, "maxLength": 160 }, "valueType": { "type": "string", "enum": [ "string", "money", "reference" ] }, "required": { "type": "boolean" } }, "required": [ "key", "label", "valueType", "required" ], "additionalProperties": false }, "maxItems": 100 }, "novaFields": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "minLength": 1, "maxLength": 100 }, "label": { "type": "string", "minLength": 1, "maxLength": 160 }, "valueType": { "type": "string", "enum": [ "string", "money", "reference" ] }, "required": { "type": "boolean" } }, "required": [ "key", "label", "valueType", "required" ], "additionalProperties": false }, "maxItems": 100 }, "defaultMappings": { "type": "array", "items": { "type": "object", "properties": { "entityType": { "type": "string", "enum": [ "contact", "organization", "lead", "deal", "task", "activity", "note" ] }, "externalField": { "type": "string", "minLength": 1, "maxLength": 100 }, "novaField": { "type": "string", "minLength": 1, "maxLength": 100 }, "enabled": { "type": "boolean" }, "exportEnabled": { "type": "boolean", "default": false } }, "required": [ "entityType", "externalField", "novaField", "enabled" ], "additionalProperties": false }, "maxItems": 100 } }, "required": [ "entityType", "externalFields", "novaFields", "defaultMappings" ], "additionalProperties": false }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "entityType": { "type": "string", "enum": [ "contact", "organization", "lead", "deal", "task", "activity", "note" ] }, "externalFields": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "minLength": 1, "maxLength": 100 }, "label": { "type": "string", "minLength": 1, "maxLength": 160 }, "valueType": { "type": "string", "enum": [ "string", "money", "reference" ] }, "required": { "type": "boolean" } }, "required": [ "key", "label", "valueType", "required" ], "additionalProperties": false }, "maxItems": 100 }, "novaFields": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "minLength": 1, "maxLength": 100 }, "label": { "type": "string", "minLength": 1, "maxLength": 160 }, "valueType": { "type": "string", "enum": [ "string", "money", "reference" ] }, "required": { "type": "boolean" } }, "required": [ "key", "label", "valueType", "required" ], "additionalProperties": false }, "maxItems": 100 }, "defaultMappings": { "type": "array", "items": { "type": "object", "properties": { "entityType": { "type": "string", "enum": [ "contact", "organization", "lead", "deal", "task", "activity", "note" ] }, "externalField": { "type": "string", "minLength": 1, "maxLength": 100 }, "novaField": { "type": "string", "minLength": 1, "maxLength": 100 }, "enabled": { "type": "boolean" }, "exportEnabled": { "type": "boolean", "default": false } }, "required": [ "entityType", "externalField", "novaField", "enabled" ], "additionalProperties": false }, "maxItems": 100 } }, "required": [ "entityType", "externalFields", "novaFields", "defaultMappings" ], "additionalProperties": false } } profilerequired- object | null
Nested schema
object | nullenabledEntityTypesrequired- arrayminItems: 1 · maxItems: 7
Nested schema
arrayminItems: 1 · maxItems: 7stringenum: ["contact","organization","lead","deal","task","activity","note"]JSON Schema
{ "type": "string", "enum": [ "contact", "organization", "lead", "deal", "task", "activity", "note" ] }JSON Schema
{ "type": "array", "items": { "type": "string", "enum": [ "contact", "organization", "lead", "deal", "task", "activity", "note" ] }, "minItems": 1, "maxItems": 7 } conflictPolicyrequired- stringenum: ["external_wins","nova_wins","newer_version_wins","manual_review"]
fieldMappingsrequired- arraymaxItems: 100
Nested schema
arraymaxItems: 100objectentityTyperequired- stringenum: ["contact","organization","lead","deal","task","activity","note"]
externalFieldrequired- stringminLength: 1 · maxLength: 100
novaFieldrequired- stringminLength: 1 · maxLength: 100
enabledrequired- boolean
exportEnabled- booleandefault: false
JSON Schema
{ "type": "object", "properties": { "entityType": { "type": "string", "enum": [ "contact", "organization", "lead", "deal", "task", "activity", "note" ] }, "externalField": { "type": "string", "minLength": 1, "maxLength": 100 }, "novaField": { "type": "string", "minLength": 1, "maxLength": 100 }, "enabled": { "type": "boolean" }, "exportEnabled": { "type": "boolean", "default": false } }, "required": [ "entityType", "externalField", "novaField", "enabled" ], "additionalProperties": false }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "entityType": { "type": "string", "enum": [ "contact", "organization", "lead", "deal", "task", "activity", "note" ] }, "externalField": { "type": "string", "minLength": 1, "maxLength": 100 }, "novaField": { "type": "string", "minLength": 1, "maxLength": 100 }, "enabled": { "type": "boolean" }, "exportEnabled": { "type": "boolean", "default": false } }, "required": [ "entityType", "externalField", "novaField", "enabled" ], "additionalProperties": false }, "maxItems": 100 } stageMappingsrequired- arraymaxItems: 500
Nested schema
arraymaxItems: 500objectexternalPipelineIdrequired- stringminLength: 1 · maxLength: 200
externalStageIdrequired- stringminLength: 1 · maxLength: 200
novaPipelineIdrequired- stringminLength: 1 · maxLength: 200
novaStageIdrequired- stringminLength: 1 · maxLength: 200
JSON Schema
{ "type": "object", "properties": { "externalPipelineId": { "type": "string", "minLength": 1, "maxLength": 200 }, "externalStageId": { "type": "string", "minLength": 1, "maxLength": 200 }, "novaPipelineId": { "type": "string", "minLength": 1, "maxLength": 200 }, "novaStageId": { "type": "string", "minLength": 1, "maxLength": 200 } }, "required": [ "externalPipelineId", "externalStageId", "novaPipelineId", "novaStageId" ], "additionalProperties": false }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "externalPipelineId": { "type": "string", "minLength": 1, "maxLength": 200 }, "externalStageId": { "type": "string", "minLength": 1, "maxLength": 200 }, "novaPipelineId": { "type": "string", "minLength": 1, "maxLength": 200 }, "novaStageId": { "type": "string", "minLength": 1, "maxLength": 200 } }, "required": [ "externalPipelineId", "externalStageId", "novaPipelineId", "novaStageId" ], "additionalProperties": false }, "maxItems": 500 } userMappingsrequired- arraymaxItems: 250
Nested schema
arraymaxItems: 250objectexternalUserIdrequired- stringminLength: 1 · maxLength: 200
novaIdentityIdrequired- stringminLength: 1 · maxLength: 200
JSON Schema
{ "type": "object", "properties": { "externalUserId": { "type": "string", "minLength": 1, "maxLength": 200 }, "novaIdentityId": { "type": "string", "minLength": 1, "maxLength": 200 } }, "required": [ "externalUserId", "novaIdentityId" ], "additionalProperties": false }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "externalUserId": { "type": "string", "minLength": 1, "maxLength": 200 }, "novaIdentityId": { "type": "string", "minLength": 1, "maxLength": 200 } }, "required": [ "externalUserId", "novaIdentityId" ], "additionalProperties": false }, "maxItems": 250 } configVersionrequired- integerexclusiveMinimum: 0
scheduleModerequired- stringenum: ["manual","hourly","daily"]
updatedAtrequired- stringformat: "date-time"
JSON Schema
{ "type": [ "object", "null" ], "properties": { "enabledEntityTypes": { "type": "array", "items": { "type": "string", "enum": [ "contact", "organization", "lead", "deal", "task", "activity", "note" ] }, "minItems": 1, "maxItems": 7 }, "conflictPolicy": { "type": "string", "enum": [ "external_wins", "nova_wins", "newer_version_wins", "manual_review" ] }, "fieldMappings": { "type": "array", "items": { "type": "object", "properties": { "entityType": { "type": "string", "enum": [ "contact", "organization", "lead", "deal", "task", "activity", "note" ] }, "externalField": { "type": "string", "minLength": 1, "maxLength": 100 }, "novaField": { "type": "string", "minLength": 1, "maxLength": 100 }, "enabled": { "type": "boolean" }, "exportEnabled": { "type": "boolean", "default": false } }, "required": [ "entityType", "externalField", "novaField", "enabled" ], "additionalProperties": false }, "maxItems": 100 }, "stageMappings": { "type": "array", "items": { "type": "object", "properties": { "externalPipelineId": { "type": "string", "minLength": 1, "maxLength": 200 }, "externalStageId": { "type": "string", "minLength": 1, "maxLength": 200 }, "novaPipelineId": { "type": "string", "minLength": 1, "maxLength": 200 }, "novaStageId": { "type": "string", "minLength": 1, "maxLength": 200 } }, "required": [ "externalPipelineId", "externalStageId", "novaPipelineId", "novaStageId" ], "additionalProperties": false }, "maxItems": 500 }, "userMappings": { "type": "array", "items": { "type": "object", "properties": { "externalUserId": { "type": "string", "minLength": 1, "maxLength": 200 }, "novaIdentityId": { "type": "string", "minLength": 1, "maxLength": 200 } }, "required": [ "externalUserId", "novaIdentityId" ], "additionalProperties": false }, "maxItems": 250 }, "configVersion": { "type": "integer", "exclusiveMinimum": 0 }, "scheduleMode": { "type": "string", "enum": [ "manual", "hourly", "daily" ] }, "updatedAt": { "type": "string", "format": "date-time" } }, "required": [ "enabledEntityTypes", "conflictPolicy", "fieldMappings", "stageMappings", "userMappings", "configVersion", "scheduleMode", "updatedAt" ], "additionalProperties": false }
JSON Schema
{
"type": "object",
"properties": {
"operationSupport": {
"type": "object",
"properties": {
"authModes": {
"type": "array",
"items": {
"type": "string",
"enum": [
"oauth2",
"api_key",
"basic_auth",
"signed_secret"
]
}
},
"capabilities": {
"type": "array",
"items": {
"type": "string",
"enum": [
"initial_import",
"continuous_import",
"explicit_export",
"bidirectional_sync",
"health_check",
"reconcile",
"uninstall_cleanup"
]
}
}
},
"required": [
"authModes",
"capabilities"
],
"additionalProperties": false
},
"credentialConfigured": {
"type": "boolean"
},
"schemas": {
"type": "array",
"items": {
"type": "object",
"properties": {
"entityType": {
"type": "string",
"enum": [
"contact",
"organization",
"lead",
"deal",
"task",
"activity",
"note"
]
},
"externalFields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"label": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"valueType": {
"type": "string",
"enum": [
"string",
"money",
"reference"
]
},
"required": {
"type": "boolean"
}
},
"required": [
"key",
"label",
"valueType",
"required"
],
"additionalProperties": false
},
"maxItems": 100
},
"novaFields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"label": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"valueType": {
"type": "string",
"enum": [
"string",
"money",
"reference"
]
},
"required": {
"type": "boolean"
}
},
"required": [
"key",
"label",
"valueType",
"required"
],
"additionalProperties": false
},
"maxItems": 100
},
"defaultMappings": {
"type": "array",
"items": {
"type": "object",
"properties": {
"entityType": {
"type": "string",
"enum": [
"contact",
"organization",
"lead",
"deal",
"task",
"activity",
"note"
]
},
"externalField": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"novaField": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"enabled": {
"type": "boolean"
},
"exportEnabled": {
"type": "boolean",
"default": false
}
},
"required": [
"entityType",
"externalField",
"novaField",
"enabled"
],
"additionalProperties": false
},
"maxItems": 100
}
},
"required": [
"entityType",
"externalFields",
"novaFields",
"defaultMappings"
],
"additionalProperties": false
}
},
"profile": {
"type": [
"object",
"null"
],
"properties": {
"enabledEntityTypes": {
"type": "array",
"items": {
"type": "string",
"enum": [
"contact",
"organization",
"lead",
"deal",
"task",
"activity",
"note"
]
},
"minItems": 1,
"maxItems": 7
},
"conflictPolicy": {
"type": "string",
"enum": [
"external_wins",
"nova_wins",
"newer_version_wins",
"manual_review"
]
},
"fieldMappings": {
"type": "array",
"items": {
"type": "object",
"properties": {
"entityType": {
"type": "string",
"enum": [
"contact",
"organization",
"lead",
"deal",
"task",
"activity",
"note"
]
},
"externalField": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"novaField": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"enabled": {
"type": "boolean"
},
"exportEnabled": {
"type": "boolean",
"default": false
}
},
"required": [
"entityType",
"externalField",
"novaField",
"enabled"
],
"additionalProperties": false
},
"maxItems": 100
},
"stageMappings": {
"type": "array",
"items": {
"type": "object",
"properties": {
"externalPipelineId": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"externalStageId": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"novaPipelineId": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"novaStageId": {
"type": "string",
"minLength": 1,
"maxLength": 200
}
},
"required": [
"externalPipelineId",
"externalStageId",
"novaPipelineId",
"novaStageId"
],
"additionalProperties": false
},
"maxItems": 500
},
"userMappings": {
"type": "array",
"items": {
"type": "object",
"properties": {
"externalUserId": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"novaIdentityId": {
"type": "string",
"minLength": 1,
"maxLength": 200
}
},
"required": [
"externalUserId",
"novaIdentityId"
],
"additionalProperties": false
},
"maxItems": 250
},
"configVersion": {
"type": "integer",
"exclusiveMinimum": 0
},
"scheduleMode": {
"type": "string",
"enum": [
"manual",
"hourly",
"daily"
]
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"enabledEntityTypes",
"conflictPolicy",
"fieldMappings",
"stageMappings",
"userMappings",
"configVersion",
"scheduleMode",
"updatedAt"
],
"additionalProperties": false
}
},
"required": [
"operationSupport",
"credentialConfigured",
"schemas",
"profile"
],
"additionalProperties": false,
"$ref": "#/components/schemas/DeveloperIntegrationPreparation"
}400 Invalid integration preparation request
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 Integration preparation access unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 Integration installation not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}